using System.Text;

string[] files = Directory.GetFiles("/var/data");
string FilePath = "";
long maxFileLenght = 0;
foreach(var filePath in files){
    FileInfo fileInfo = new FileInfo(filePath);
    if(fileInfo.Length > maxFileLenght){
        maxFileLenght = fileInfo.Length;
        FilePath = filePath;
    }
}
using (FileStream fstream = File.OpenRead(FilePath)){
    byte[] buffer = new byte[fstream.Length];
    await fstream.ReadAsync(buffer, 0, buffer.Length);
    string text = Encoding.Default.GetString(buffer);
    using(FileStream fstream1 = new FileStream("/var/result/data.txt", FileMode.OpenOrCreate)){
        fstream1.SetLength(0);
        byte[] buffer1 = Encoding.Default.GetBytes(text);
        await fstream1.WriteAsync(buffer1, 0, buffer1.Length);
    }
}

    